﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProgrammingPatterns.DesignPatterns.Creational.Builder
{
    public abstract class SoftwareBuilder
    {
        public Software Software { get; private set; }

        public SoftwareBuilder()
        {
            Software = new Software();
        }

        public abstract void BuildName();
        public abstract void BuildGraphicalInterface();
        public abstract void BuildDatabase();
        public abstract void BuildBusinessLogic();
    }
}
